%define packname  BSgenome.Dmelanogaster.FlyBase.r51 

Name:             R-%{packname}
Version:          1.3.1 
Release:          3
Summary:          Drosophila melanogaster genome (FlyBase r5.1)
Summary(fr):      Genome de Drosophila melanogaster (FlyBase r5.1)

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://www.bioconductor.org/packages/2.1/data/annotation/html/%{packname}.html
Source0:          http://www.bioconductor.org/packages/2.1/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex 

%description
Drosophila melanogaster genome grabbed from FlyBase (r5.1, Dec. 2006) 
and stored in Biostrings objects
%description -l fr
Genome de Drosophila melanogaster issue de la base FlyBase 
(r5.1, Dec. 2006) et stocké dans un objet Biostrings

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

#noarch
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
#This section ask for Biostrings who asked for this package
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/scripts
%{_datadir}/R/library/%{packname}/help

#noarch
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/man


%changelog
* Tue Jan 21 2008 Pingou <pingoufc4@yahoo.fr> 1.3.1-3
- New release

* Tue Jan 21 2008 Pingou <pingoufc4@yahoo.fr> 1.3.1-2
- Remove the Dist tag

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.3.1-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-2
- Change in the license tag 

* Mon Jul 16 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-1
- initial package for Fedora
